Update Data Field

This API allows you to update data fields that you defined for the org.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Note:

For detailed information about the APIs and for hands-on testing, refer to the API overview documentation and the step-by-step guide on making your first API call.


Prerequisites

  • Authentication: Basic/OAuth authentication
  • Default access group

Resource Information

URI/api_gateway/cortex/v1/dataFields\{id\}
HTTP methodPUT
PaginationNA
Rate limitDefault
Batch supportNA

API cURL

curl --location --request PUT 'https://eu.api.capillarytech.com/api_gateway/cortex/v1/dataFields/67c13be980eaa45a46519efa' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic cHJlcmFuYV9zaW5naDoyZmFhZmZjNZDRjMTc5Y2NlMzNhYzc5OTBjMTQ1Ng==' \
--header 'Cookie: _cfuvid=257QQtZKKeLsnIKUrPVpHcKPHvi2s4LSYFlH8VLHtc0-1743065149089-0.0.1.1-604800000; _cfuvid=Wp9DM7jKlGaLVdZEYrh2ApStBYz0xLZsHFHOWo.VnBw-1743484167715-0.0.1.1-604800000' \
--data '{
  "searchStrategyType" : "PREFIX",
  "entityType" : "CUSTOMER",
  "dataFieldDefinitions" : [
		{
			"fieldId" : "firstName",
			"fieldAlias" : "firstName",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "firstName"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "lastName",
			"fieldAlias" : "lastName",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "lastName"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "mobile",
			"fieldAlias" : "mobile",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "mobile"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "email",
			"fieldAlias" : "email",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "email"
			},
			"dataType" : "STRING"
		},
    {
			"fieldId" : "externalId",
			"fieldAlias" : "externalId",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "externalId"
			},
			"dataType" : "STRING"
		}

	]
}'

Query Parameter

ParameterData TypeDescription
id*StringData Field identifier that you received in the response during the creation of the datafield.

Request Parameters

ParametersData typeDescription
searchStrategyType*StringDefines the search strategy type (COMBINATION, PREFIX).
entityType*EnumType of entity being searched (TRANSACTION, CUSTOMER).
dataFieldDefinitions*ArrayList of field definitions used in the search.
  • fieldId*
StringThe field to search on. For Customer, the supported standard fields are: firstName, lastName, email, mobile, externalId, and fullName.
For Transaction, the supported fields are: outlierStatus, billDate, billNumber, and storecode (additional field).
  • fieldAlias
StringThe alias or display name of the field.
  • fieldType
EnumType of field. Use the value DATA.
  • dataSourceDetails
ObjectContains details about the data source.
-- fieldReferenceStringApplicable when using custom fields or extended fields. For example: extendedFields.ship_email, customFields.age. If you're using store code to search, use additionalFields.storecode (applicable for transactions).
  • dataType
StringData type of the field (STRING, NUMBER, DECIMAL, or DATE).
{
  "searchStrategyType": "PREFIX",
  "entityType": "TRANSACTION",
  "dataFieldDefinitions": [
    {
      "fieldId": "lastName",
      "fieldAlias": "lastName",
      "fieldType": "DATA",
      "dataSourceDetails": {
        "fieldReference": "lastName"
      },
      "dataType": "STRING"
    },
    {
      "fieldId": "mobile",
      "fieldAlias": "mobile",
      "fieldType": "DATA",
      "dataSourceDetails": {
        "fieldReference": "mobile"
      },
      "dataType": "STRING"
    },
    {
      "fieldId": "email",
      "fieldAlias": "email",
      "fieldType": "DATA",
      "dataSourceDetails": {
        "fieldReference": "email"
      },
      "dataType": "STRING"
    },
    {
      "fieldId": "externalId",
      "fieldAlias": "externalId",
      "fieldType": "DATA",
      "dataSourceDetails": {
        "fieldReference": "externalId"
      },
      "dataType": "STRING"
    }
  ],
  "errors": [
}
{
  "searchStrategyType" : "PREFIX",
  "entityType" : "CUSTOMER",
  "dataFieldDefinitions" : [
		{
			"fieldId" : "firstName",
			"fieldAlias" : "firstName",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "firstName"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "lastName",
			"fieldAlias" : "lastName",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "lastName"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "mobile",
			"fieldAlias" : "mobile",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "mobile"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "email",
			"fieldAlias" : "email",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "email"
			},
			"dataType" : "STRING"
		},
    {
			"fieldId" : "externalId",
			"fieldAlias" : "externalId",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "externalId"
			},
			"dataType" : "STRING"
		}

	]
}

Response Body Parameters

ParameterData TypeDescription
idStringUnique Identifier of the data
orgIdIntegerThe ID of the organization associated with the criteria
searchStrategyTypeEnumDefines the search strategy type (``COMBINATION, PREFIX` )
entityTypeEnumType of entity being searched (TRANSACTION , CUSTOMER)
dataFieldDefinitionsArrayList of field definitions used in the search.
  • fieldId
StringUnique identifier for the field.
  • fieldAlias
StringThe alias or display name of the search field.
  • fieldType
EnumType of field (e.g., INDEXED, FILTERABLE).
  • dataSourceDetails
ObjectContains details about the data source.
-- fieldReferenceStringThe reference to the search field in the data source.
  • dataType
StringData type of the field (e.g., STRING, DATE).
auditInfoObjectAn object containing audit information about the criteria.
  • createdOn
StringThe timestamp indicating when the criteria was created.
  • createdBy
IntegerThe ID of the user who created the criteria.
  • lastUpdatedOn
StringThe timestamp indicating when the search criteria was last updated.
  • lastUpdatedBy
IntegerThe ID of the user who last updated the criteria.
{
  "searchStrategyType" : "PREFIX",
  "entityType" : "CUSTOMER",
  "dataFieldDefinitions" : [
		{
			"fieldId" : "firstName",
			"fieldAlias" : "firstName",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "firstName"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "lastName",
			"fieldAlias" : "lastName",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "lastName"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "mobile",
			"fieldAlias" : "mobile",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "mobile"
			},
			"dataType" : "STRING"
		},
		{
			"fieldId" : "email",
			"fieldAlias" : "email",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "email"
			},
			"dataType" : "STRING"
		},
    {
			"fieldId" : "externalId",
			"fieldAlias" : "externalId",
			"fieldType" : "DATA",
			"dataSourceDetails" : {
				"fieldReference" : "externalId"
			},
			"dataType" : "STRING"
		}

	]
}
{
    "data": {
        "id": "67ebcbe9730aa850fc504145",
        "orgId": 100737,
        "searchStrategyType": "COMBINATION",
        "entityType": "TRANSACTION",
        "dataFieldDefinitions": [
            {
                "fieldId": "billNumber",
                "fieldAlias": "billNumber",
                "fieldType": "DATA",
                "dataSourceDetails": {
                    "fieldReference": "billNumber"
                },
                "dataType": "STRING"
            },
            {
                "fieldId": "billDate",
                "fieldAlias": "billDate",
                "fieldType": "DATA",
                "dataSourceDetails": {
                    "fieldReference": "billDate"
                },
                "dataType": "DATE"
            },
            {
                "fieldId": "storename",
                "fieldAlias": "storename",
                "fieldType": "DATA",
                "dataSourceDetails": {
                    "fieldReference": "additionalFields.storename"
                },
                "dataType": "STRING"
            },
            {
                "fieldId": "storecode",
                "fieldAlias": "storecode",
                "fieldType": "DATA",
                "dataSourceDetails": {
                    "fieldReference": "additionalFields.storecode"
                },
                "dataType": "STRING"
            }
        ],
        "auditInfo": {
            "createdOn": "2025-04-01T11:20:09.793+00:00",
            "createdBy": 75155282,
            "lastUpdatedOn": "2025-04-01T11:20:09.793+00:00",
            "lastUpdatedBy": 75155282
        }
    },
    "errors": []
}
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json